Skip to main content
GET
/
deployments
/
configurations
/
{configurationId}
Get deployment configuration
curl --request GET \
  --url https://your-domain.com/api/client/v1/deployments/configurations/{configurationId} \
  --header 'Authorization: Bearer <token>'
{
  "configuration": {
    "id": "<string>",
    "team_id": "<string>",
    "name": "<string>",
    "yaml": "<string>",
    "spec_hash": "<string>",
    "resource_count": 123,
    "created_at": 123,
    "updated_at": 123,
    "description": "<string>",
    "latest_pushed_version_id": "<string>",
    "latest_pushed_version_number": 123,
    "latest_pushed_spec_hash": "<string>",
    "latest_pushed_at": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

configurationId
string
required

Deployment configuration ID.

Response

Configuration

configuration
object